{%load static%}

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Playfair+Display">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" href="{%static 'search.css' %}">
    <title>Search Books</title>
  </head>
  <body>
      <div class="container">
        <h1 align = "center">Search 1000+ Books Online</h1>
        <div class="search" align="center">
          <input type="text" name = "searchBar" id = "inputKeyword" placeholder="Search books">     
        </div>
        <div class="results">
          <a href="http://books.google.co.id/books?id=ty-7Am5kKCoC&amp;pg=PA158&amp;dq=product+de&amp;hl=&amp;cd=1&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=ty-7Am5kKCoC&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Adding Value to Root and Tuber Crops: A Manual on Product Development</h3><p>undefined</p></span></section></a><a href="http://books.google.co.id/books?id=FBjPBAAAQBAJ&amp;pg=PT286&amp;dq=product+de&amp;hl=&amp;cd=2&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=FBjPBAAAQBAJ&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Teaching Projects in Product Design</h3><p>Fernando Julián Pérez,Xavier Espinach Orús,Narcís Verdaguer Pujadas,Josep Tresserras Picas</p></span></section></a><a href="http://books.google.co.id/books?id=1CcVxu6V6M4C&amp;pg=PA175&amp;dq=product+de&amp;hl=&amp;cd=3&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=1CcVxu6V6M4C&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Human Factors and Ergonomics in Consumer Product Design</h3><p>Waldemar Karwowski,Marcelo M. Soares,Neville A. Stanton</p></span></section></a><a href="http://books.google.co.id/books?id=i0DXftkmm_QC&amp;pg=PR13&amp;dq=product+de&amp;hl=&amp;cd=4&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=i0DXftkmm_QC&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Global Product Development</h3><p>Alain Bernard</p></span></section></a><a href="http://books.google.co.id/books?id=unIv6t6FdbcC&amp;pg=PT18&amp;dq=product+de&amp;hl=&amp;cd=5&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=unIv6t6FdbcC&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Functional Food Product Development</h3><p>Jim Smith,Edward Charter</p></span></section></a><a href="http://books.google.co.id/books?id=NM0OAQAAIAAJ&amp;pg=PP39&amp;dq=product+de&amp;hl=&amp;cd=6&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=NM0OAQAAIAAJ&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Market-related Constraints to Non-timber Forest Product Development in Central America: Experiences from the Catie/olafo Project</h3><p>undefined</p></span></section></a><a href="http://books.google.co.id/books?id=-EWjJT7mK7UC&amp;pg=PA397&amp;dq=product+de&amp;hl=&amp;cd=7&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=-EWjJT7mK7UC&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>The Future of Product Development</h3><p>Frank-Lothar Krause</p></span></section></a><a href="http://books.google.co.id/books?id=nSZkekpEODYC&amp;pg=PP1&amp;dq=product+de&amp;hl=&amp;cd=8&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=nSZkekpEODYC&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Electronics Product Design</h3><p>V.S.Bagad</p></span></section></a><a href="http://books.google.co.id/books?id=cS188S_qnPAC&amp;pg=PR15&amp;dq=product+de&amp;hl=&amp;cd=9&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=cS188S_qnPAC&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Knowledge Perspectives of New Product Development</h3><p>Dimitris G Assimakopoulos,Elias G. Carayannis,Rafiq Dossani</p></span></section></a><a href="http://books.google.co.id/books?id=QtkkBAAAQBAJ&amp;pg=PA169&amp;dq=product+de&amp;hl=&amp;cd=10&amp;source=gbs_api"><section><img src="http://books.google.com/books/content?id=QtkkBAAAQBAJ&amp;printsec=frontcover&amp;img=1&amp;zoom=1&amp;edge=curl&amp;source=gbs_api"><span><h3>Product Development in the Socio-sphere</h3><p>Dirk Schaefer</p></span></section></a></div>
        </div>
      <script type = "text/javascript">
        var book_url = "{% url 'story8:search' %}?searchBar=";
        $("#inputKeyword").keyup(
          function(){
          var search = $("#inputKeyword").val();
          var book = book_url;
          console.log(book);
          $.ajax({
            type: 'GET',
            url: book_url + search,
            dataType: 'json',
            success: function(result){
              $(".results").empty();
              for(i = 0; i<result.items.length; i++){
                var image = result.items[i].volumeInfo.imageLinks.thumbnail;
                var title = result.items[i].volumeInfo.title;
                var author = result.items[i].volumeInfo.authors;
                var link = result.items[i].volumeInfo.previewLink;
                $(".results").append("<a href =" + link + "><section><img src=" + image + "><span><h3>" + title + "</h3><p>" + author + "</p></span></section></a>")
              }
            }
          })
        });
      </script>
  </body>
</html>